This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 680677

Summary: [NV34] Xorg crashes with nouveau driver when switching vt FAST
Product: [Fedora] Fedora Reporter: Sergey <sergemp>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 19CC: airlied, ajax, bskeggs, greenrd
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 08:39:38 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Log of the crashed session
none
Uncompressed /var/log/Xorg.0.log none

Description Sergey 2011-02-26 17:33:04 EST
Created attachment 481198 [details]
Log of the crashed session

Not sure whether this is an Xorg or nouveau-specific error and how important it is, but I thought I need to report it. :)

Description of problem:
Xorg aborts with fatal error:
(II) NOUVEAU(0): NVEnterVT is called.
Unable to get master: Invalid argument
(EE) NOUVEAU(0): failed to set mode: Permission denied
Fatal server error:
EnterVT failed for screen 0

Version-Release number of selected component:
Rawhide, gfx_test_week_20110221_i386.iso with updates listed below.

Steps to Reproduce:
0. Download gfx_test_week_20110221_i386.iso and boot
1. Install mesa update from bug#677371 and nouveau update from bug#679505
2. Restart X (C-A-BS), login, start glxgears, create testuser, switch user, start second glxgears
3. Start switching between user sessions very fast, or run script:
for i in 8 7 8 7 8 7 8 7 8 7 8 7 8 7; do chvt $i; done
4. Have a session crashed.
Comment 1 Matěj Cepl 2011-03-12 19:08:19 EST
Created attachment 483936 [details]
Uncompressed /var/log/Xorg.0.log
Comment 2 Matěj Cepl 2011-03-12 19:10:10 EST
[ 17583.534] (II) AIGLX: Resuming AIGLX clients after VT switch
[ 17583.534] (II) NOUVEAU(0): NVEnterVT is called.
[ 17583.534] Unable to get master: Invalid argument
[ 17583.534] (EE) NOUVEAU(0): failed to set mode: Permission denied
Fatal server error:
[ 17583.534] EnterVT failed for screen 0
[ 17583.534] 
[ 17583.534] 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
[ 17583.534] Please also check the log file at "/var/log/Xorg.1.log" for additional information.
[ 17583.535]
Comment 3 Fedora End Of Life 2013-04-03 10:05:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 11:35:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 08:39:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.